> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minenet.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment run details



## OpenAPI

````yaml api-reference/openapi.yaml get /deployments/runs/{runId}
openapi: 3.1.0
info:
  title: Minenet Client API
  version: 1.0.0
  description: >
    Team-scoped API for deployments, servers, snapshots, files, and mod platform
    metadata.


    Authentication:

    - Bearer user token (`mnp_*`)

    - Bearer agent token (`mna_*`)


    Global rate limit: 100 requests/minute per token.
servers:
  - url: https://your-domain.com/api/client/v1
security:
  - bearerAuth: []
tags:
  - name: Deployments
  - name: Servers
  - name: Snapshots
  - name: Files
  - name: Modrinth
  - name: CurseForge
paths:
  /deployments/runs/{runId}:
    get:
      tags:
        - Deployments
      summary: Get deployment run details
      operationId: getDeploymentRun
      parameters:
        - $ref: '#/components/parameters/RunId'
      responses:
        '200':
          description: Run details
          content:
            application/json:
              schema:
                type: object
                properties:
                  run:
                    $ref: '#/components/schemas/DeploymentRunDetailed'
                  resources:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
                  events:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
        '404':
          description: Run not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    RunId:
      name: runId
      in: path
      required: true
      schema:
        type: string
      description: Deployment run ID.
  schemas:
    DeploymentRunDetailed:
      allOf:
        - $ref: '#/components/schemas/DeploymentRunSummary'
        - type: object
          properties:
            spec_hash:
              type: string
            checkpoint:
              oneOf:
                - type: object
                  additionalProperties: true
                - type: 'null'
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
    DeploymentRunSummary:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
        stage:
          oneOf:
            - type: string
            - type: 'null'
        configuration_id:
          type: string
        configuration_version_id:
          oneOf:
            - type: string
            - type: 'null'
        configuration_version_number:
          oneOf:
            - type: integer
            - type: 'null'
        resource_count:
          type: integer
        queue_position:
          oneOf:
            - type: integer
            - type: 'null'
        summary:
          oneOf:
            - type: object
              additionalProperties: true
            - type: 'null'
        created_at:
          type: integer
        started_at:
          oneOf:
            - type: integer
            - type: 'null'
        completed_at:
          oneOf:
            - type: integer
            - type: 'null'
        error:
          oneOf:
            - type: string
            - type: 'null'
        failure_class:
          oneOf:
            - type: string
            - type: 'null'
      required:
        - id
        - status
        - configuration_id
        - resource_count
        - created_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: token

````